package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Text;
	/**
	 * ...
	 * @author Lucas Lundy
	 */
	public class ProgressIndicator extends Entity
	{
		protected var lblDistance:Text;
		protected var lblTotalDistance:Text;
		
		protected var traveled:int = 0;
		protected var total:int = 0;
		
		public function ProgressIndicator() 
		{
			total = ScreenGame.theGoal.x;
			
			lblDistance = new Text( traveled.toString() + "/" + total.toString() , 400, 16);
			lblDistance.size = 14;
			lblDistance.scrollX = lblDistance.scrollY = 0;
			addGraphic(lblDistance);
		}
		
		override public function update():void {
			if (traveled != ScreenGame.theRunner.x) {
				traveled = ScreenGame.theRunner.x;
				lblDistance.text = traveled.toString() + "/" + total.toString();
			}
			
		}
	}

}