package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Sfx;
	/**
	 * ...
	 * @author Lucas Lundy
	 */
	public class RunnerGoal extends Entity
	{
		[Embed (source = 'assets/GoalGreen.png')] private const GOAL_GREEN:Class;
		[Embed (source = 'assets/GoalRed.png')] private const GOAL_RED:Class;
		[Embed(source = 'assets/PlayerGoal.mp3')] private const RUNNER_GOAL:Class;
		
		public var goalSfx:Sfx = new Sfx(RUNNER_GOAL);
		
		protected var theGame:ScreenGame;
		protected var firstGoal:Boolean = true;
		
		public function RunnerGoal(spawnX:int, spawnY:int, theScreen:ScreenGame) 
		{
			x = spawnX; y = spawnY;
			graphic = new Image(GOAL_RED);
			firstGoal = true;
			theGame = theScreen;
		}
		
		override public function update():void {
			
			if ( firstGoal && ScreenGame.theRunner.x > x) {
				firstGoal = false;
				goalSfx.play();
				graphic = new Image(GOAL_GREEN);
				theGame.playerReachGoal();
			}
				
			
		}
	}

}