package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author Lucas Lundy
	 */
	public class EnyLivesDisplay extends Entity
	{
		protected var life1:Image;
		protected var life2:Image;
		protected var life3:Image;
		protected var life4:Image;
		protected var life5:Image;
		
		protected var curLives:int = 5;
		
		[Embed (source = 'assets/enyLifeDisplay.png')] private const LIFE:Class;
		
		public function EnyLivesDisplay() 
		{
			life1 = new Image(LIFE);
			life1.x = 624;
			life1.y = 16;
			life1.scrollX = life1.scrollY = 0;
			addGraphic( life1 );
			
			life2 = new Image(LIFE);
			life2.x = 656;
			life2.y = 16;
			life2.scrollX = life2.scrollY = 0;
			addGraphic( life2 );
			
			life3 = new Image(LIFE);
			life3.x = 688;
			life3.y = 16;
			life3.scrollX = life3.scrollY = 0;
			addGraphic( life3 );
			
			life4 = new Image(LIFE);
			life4.x = 720;
			life4.y = 16;
			life4.scrollX = life4.scrollY = 0;
			addGraphic( life4 );
			
			life5 = new Image(LIFE);
			life5.x = 752;
			life5.y = 16;
			life5.scrollX = life5.scrollY = 0;
			addGraphic( life5 );
		}
		
		override public function update():void {
			if (curLives != ScreenGame.lives ) {
				curLives = ScreenGame.lives;
				switch(curLives)
				{
				case 5: life5.alpha = 1; break;
				case 4: life3.alpha = 1; life4.alpha = 1; life5.alpha = 0.6; break;
				case 3: life2.alpha = 1; life3.alpha = 1; life4.alpha = 0.6; break;
				case 2: life1.alpha = 1; life2.alpha = 1; life3.alpha = 0.6; break;
				case 1: life1.alpha = 1; life2.alpha = 0.6; break;
				case 0: life1.alpha = 0.6; break;
				}
			}
		}
		
	}

}