package  
{
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author Lucas Lundy
	 */
	public class btnGoobaSelect extends Entity
	{
		
		[Embed (source = 'assets/btnGooba.png')] private const GOOBA:Class;
		
		public var clicked:Boolean = false;
		
		public function btnGoobaSelect() 
		{
			graphic = new Image(GOOBA);
			graphic.scrollX = graphic.scrollY = 0;
			
			clicked = false;
			
			setHitbox(200, 100);
		}
		
		override public function update():void {
			if (!ScreenGame.active && Input.mousePressed){
				var mx:int = world.mouseX - ScreenGame.cameraController.x;
				var my:int = world.mouseY;
				//trace("mouse " + mx + ":" + my + " --  start btn " + x + ":" + y);
				if (mx > x && mx < x + width && my > y && my < y + height) {
					trace("Gooba Selector Clicked");
					clicked = true;
				}
			}
		}
		
	}

}